byte_equal(3)

NAME
byte_equal - compare two strings

SYNTAX
#include <libowfat/byte.h>

int byte_equal(const char *one,size_t len,const char *two);

DESCRIPTION
byte_equal returns 1 if the strings are equal, 0 otherwise.

When the strings are different, byte_equal does not read bytes past the first difference. An attacker observing the execution timing can thus learn where the first mismatch happened.

Use byte_equal_notimingattack to compare keys, passphrases, cookies or hashes instead.

SEE ALSO
byte_diff(3), byte_equal_notimingattack(3)